summaryrefslogtreecommitdiff
path: root/net-misc/ices/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /net-misc/ices/files
reinit the tree, so we can have metadata
Diffstat (limited to 'net-misc/ices/files')
-rw-r--r--net-misc/ices/files/ices.initd17
-rw-r--r--net-misc/ices/files/ices.initd-r113
2 files changed, 30 insertions, 0 deletions
diff --git a/net-misc/ices/files/ices.initd b/net-misc/ices/files/ices.initd
new file mode 100644
index 000000000000..ada3b4943e28
--- /dev/null
+++ b/net-misc/ices/files/ices.initd
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting IceS 2"
+ start-stop-daemon --background --start --pidfile /var/run/ices.pid --make-pidfile --exec /usr/bin/ices /etc/ices2/ices.xml
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping IceS 2"
+ start-stop-daemon --stop --pidfile /var/run/ices.pid --name ices
+ eend $?
+}
diff --git a/net-misc/ices/files/ices.initd-r1 b/net-misc/ices/files/ices.initd-r1
new file mode 100644
index 000000000000..dbc76374c359
--- /dev/null
+++ b/net-misc/ices/files/ices.initd-r1
@@ -0,0 +1,13 @@
+#!/sbin/openrc-run
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="Icecast OGG streaming client"
+pidfile="/var/run/ices.pid"
+command="/usr/bin/ices"
+command_args="/etc/ices2/ices.xml"
+command_background="true"
+
+depend() {
+ need net
+}